Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class AudioOutputChannel

    java.lang.Object
      org.linuxsampler.lscp.AudioOutputChannel

    public class AudioOutputChannel

extends java.lang.Object

This class provides detailed information about an audio output chanel.

Constructor Summary
`AudioOutputChannel()` Creates a new instance of AudioOutputChannel

Method Summary
`void` | `addParameter(Parameter prm)` Adds additional parameter to this audio output channel.
`Parameter[]` | `getAdditionalParameters()` Gets a `Parameter` array with the additional parameters of this audio output channel.
`Parameter[]` | `getAllParameters()` Gets a `Parameter` array providing all parameters of this audio output channel (including `NAME`, `IS_MIX_CHANNEL`, `MIX_CHANNEL_DESTINATION` parameters).
`int` | `getMixChannelDest()` Gets the number of the real audio channel this mix channel refers to.
`Parameter<java.lang.Integer>` | `getMixChannelDestParameter()` Gets the `MIX_CHANNEL_DESTINATION` parameter.
`Parameter<java.lang.Boolean>` | `getMixChannelParameter()` Gets the `IS_MIX_CHANNEL` parameter.
`java.lang.String` | `getName()` Gets the name of this audio output channel.
`Parameter<java.lang.String>` | `getNameParameter()` Gets the `NAME` parameter.
`boolean` | `hasAdditionalParameters()` Determines whether this audio output channel has additional parameters.
`boolean` | `isMixChannel()` Determines whether this channel is a mix-channel.
`void` | `setMixChannelDestParameter(Parameter<java.lang.Integer> mcDst)` Sets the `MIX_CHANNEL_DESTINATION` parameter.
`void` | `setMixChannelParameter(Parameter<java.lang.Boolean> mixChannel)` Sets whether this channel is a mix-channel.
`void` | `setNameParameter(Parameter<java.lang.String> name)` Sets the `NAME` parameter.
`java.lang.String` | `toString()` Returns the name of this audio output chanel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AudioOutputChannel

    public AudioOutputChannel()

  Creates a new instance of AudioOutputChannel

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of this audio output channel.

  Returns:
    The name of this audio output channel.

### getNameParameter

    public Parameter<java.lang.String> getNameParameter()

  Gets the `NAME` parameter.

  Returns:
    A `Parameter` instance.

### setNameParameter

    public void setNameParameter(Parameter<java.lang.String> name)

  Sets the `NAME` parameter.

  Parameters:
    `name` - A `Parameter` instance.

### isMixChannel

    public boolean isMixChannel()

  Determines whether this channel is a mix-channel.

  Returns:
    `true` if this is a mix-channel, `false` otherwise.

### getMixChannelParameter

    public Parameter<java.lang.Boolean> getMixChannelParameter()

  Gets the `IS_MIX_CHANNEL` parameter.

  Returns:
    A `Parameter` instance.

### setMixChannelParameter

    public void setMixChannelParameter(Parameter<java.lang.Boolean> mixChannel)

  Sets whether this channel is a mix-channel.

  Parameters:
    `mixChannel` - Specifies whether this channel is a mix-channel or not.

### getMixChannelDest

    public int getMixChannelDest()

  Gets the number of the real audio channel this mix channel refers to.

  Returns:
    The number of the real audio channel this mix channel refers to.

### getMixChannelDestParameter

    public Parameter<java.lang.Integer> getMixChannelDestParameter()

  Gets the `MIX_CHANNEL_DESTINATION` parameter.

  Returns:
    The `MIX_CHANNEL_DESTINATION` parameter.

### setMixChannelDestParameter

    public void setMixChannelDestParameter(Parameter<java.lang.Integer> mcDst)

  Sets the `MIX_CHANNEL_DESTINATION` parameter.

  Parameters:
    `mcDst` - The new `MIX_CHANNEL_DESTINATION` parameter.

### addParameter

    public void addParameter(Parameter prm)

  Adds additional parameter to this audio output channel.

  Parameters:
    `prm` - The additional parameter to be added.

### getAdditionalParameters

    public Parameter[] getAdditionalParameters()

  Gets a `Parameter` array with the additional parameters of this audio output channel.

  Returns:
    A `Parameter` array with the additional parameters of this audio output channel.

### getAllParameters

    public Parameter[] getAllParameters()

  Gets a `Parameter` array providing all parameters of this audio output channel (including `NAME`, `IS_MIX_CHANNEL`, `MIX_CHANNEL_DESTINATION` parameters).

  Returns:
    A `Parameter` array providing all parameters of this audio output channel.

### hasAdditionalParameters

    public boolean hasAdditionalParameters()

  Determines whether this audio output channel has additional parameters.

  Returns:
    `true` if this audio output channel has additional parameters, `false` otherwise.

### toString

    public java.lang.String toString()

  Returns the name of this audio output chanel.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The name of this audio output chanel.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.